[Hippo-cms7-user] using m11 release

Siarhei Dudzin siarhei.dudzin at gmail.com
Mon Feb 16 13:41:43 CET 2009


Hi All,

I've tried to use the recently released m11 by 'upping' the version number
of hippoecm.version to 2.04 in the parent pom (the project is generated
using the archetype).
However when I tried to start the cms I see a number of errors in the
console:

16.02.2009 13:25:48 ERROR
[org.hippoecm.repository.LocalHippoRepository.initializeNodecontent():819]
Error initializing content for
jar:file:/Users/sdudzin/JavaDev/hippo/sighippo7/cms/target/work/webapp/WEB-INF/lib/site-toolkit-addon-repository-2.02.04.jar!/hst-configuration.xml
in '/' : javax.jcr.NamespaceException: prefix already mapped to different
URI
16.02.2009 13:25:48 ERROR
[org.hippoecm.repository.LocalHippoRepository.initializeNodecontent():819]
Error initializing content for
jar:file:/Users/sdudzin/JavaDev/hippo/sighippo7/cms/target/work/webapp/WEB-INF/lib/site-toolkit-addon-repository-2.02.04.jar!/hst-content.xml
in '/' : javax.jcr.NamespaceException: prefix already mapped to different
URI
16.02.2009 13:25:48 ERROR
[org.hippoecm.repository.LocalHippoRepository.initializeNodecontent():795]
Error initializing content for
jar:file:/Users/sdudzin/JavaDev/hippo/sighippo7/cms/target/work/webapp/WEB-INF/lib/sighippo7-content-0.1-SNAPSHOT.jar!/sighippo7-namespace.xml
in '/hippo:namespaces' : javax.jcr.nodetype.ConstraintViolationException: no
matching property definition found for
{http://www.hippoecm.org/frontend/nt/1.3}overrides

and finally ending up with exception:

16.02.2009 13:26:24 ERROR
[org.hippoecm.frontend.plugin.impl.PluginFactory.createPlugin():80]
java.lang.ClassNotFoundException:
org.hippoecm.frontend.plugins.gotolink.GotolinkDocumentsShortcutPlugin
java.lang.ClassNotFoundException:
org.hippoecm.frontend.plugins.gotolink.GotolinkDocumentsShortcutPlugin
	at
org.apache.jackrabbit.classloader.RepositoryClassLoader.findClassPrivileged(RepositoryClassLoader.java:712)
	at
org.apache.jackrabbit.classloader.RepositoryClassLoader.access$000(RepositoryClassLoader.java:65)
	at
org.apache.jackrabbit.classloader.RepositoryClassLoader$2.run(RepositoryClassLoader.java:259)
	at java.security.AccessController.doPrivileged(Native Method)
	at
org.apache.jackrabbit.classloader.RepositoryClassLoader.findClass(RepositoryClassLoader.java:255)
	at java.lang.ClassLoader.loadClass(ClassLoader.java:316)
	at java.lang.ClassLoader.loadClass(ClassLoader.java:251)
	at java.lang.ClassLoader.loadClassInternal(ClassLoader.java:374)
	at java.lang.Class.forName0(Native Method)
	at java.lang.Class.forName(Class.java:242)
	at
org.hippoecm.frontend.plugin.impl.PluginFactory.createPlugin(PluginFactory.java:66)
	at
org.hippoecm.frontend.plugin.impl.PluginManager.start(PluginManager.java:82)
	at
org.hippoecm.frontend.plugin.impl.PluginContext.start(PluginContext.java:205)
	at
org.hippoecm.frontend.plugin.impl.ClusterControl.start(ClusterControl.java:112)
	at
org.hippoecm.frontend.plugin.workflow.ShortcutsPlugin.<init>(ShortcutsPlugin.java:61)
	...

I have an impression that the site toolkit is not really compatible with the
m11... Am I correct in my assumption and is there a way to upgrade?

Best regards,
Siarhei Dudzin
-- 
View this message in context: http://n2.nabble.com/using-m11-release-tp2334615p2334615.html
Sent from the Hippo CMS 7 mailing list archive at Nabble.com.




More information about the Hippo-cms7-user mailing list